#pragma once

#include "abstract_indicator.hh"
#include <deque>

namespace AI {

class SimpleIndicator : public AbstractIndicator
{
public:
    SimpleIndicator(int period);
    SimpleIndicator(const SimpleIndicator&) = default;
    SimpleIndicator& operator=(const SimpleIndicator&) = default;

protected:
    void clearBuffer();

protected:
    int period_;
    std::deque<double> buffer_;
};

}
